<?php

ini_set('display_errors', '1');

// Template for showing yr.no's xml-forecast by Henkka, http://www.nordicweather.net
// Vers. Oct 15 2009
//
// Requirements:
// - PHP 5
//*****************************************
// CONFIG START

// Units
$useC = 1;		// Use Celsius, else F
$useKMH = 0;		// Use Km/h
$useMPH = 0;		// Use Mph, if both KMH and MPH is zero is default m/s used
$useHPA = 1;		// Use hPa, else inHg
$useMM= 1;		// Use mm, else in

// Timesettings, normal PHP/date-tags used
$datestyle = "d.m.Y";		// Style of short date
$timestyle = "H:i";		// Style of time
$longdate = "d.m.Y H:i";	// Style of long time + date
$deftz = "Europe/Helsinki";
$pagename = "yrtest.php";

$geonameusr = "weatherc"; // IMPORTANT! You need to signup at geonames.org (FREE), put username here

// Cachesettings etc. settings
$qarefetchSeconds = 7200;	// How often it refresh the cache, 3600 recommended
$imgdir = "images/";	// Icons-folder
$jsfolder = "jquery/";
$cssfolder = "css/";
$cachefolder = "/var/www/vhosts/ukkostutkat.fi/httpdocs/cache/";
$days = array('Sunnuntai','Maanantai','Tiistai','Keskiviikko','Torstai','Perjantai','Lauantai');

// Default place
$cod = "FI"; 
$cou = "Finland";
$cit = "Helsinki";
$lat = 60.1524;
$lon = 24.9975;

if($lang=="fi"){
define('YRDESC','<span style="font-weight:bold;color:red">UUTTA!</span> Voit selailla yli 3 miljoonan paikkakunnan ennusteita 240 maasta.<br/><b>Ohje:</b> Valitse ensin haluamasi maa, sen jlkeen kirjoita pari ensimmist kirjainta paikkakunnasta laatikkoon niin haku ehdottaa osumia.');
define('YRSEA','Valitse maa/paikkakunta');
define('TEMPERA','Lmptila');
define('PRESSUR','Ilmanpaine');
define('PRECIPA','Sade/Kuurosade');
define('RAINA','Sade');
define('WINDA','Tuuli');
define('HUMIDA','Kosteus');
define('CLOUDS','Plivis.');
define('SMOG','Sumu');
define('FORECAST_FOR','Ennuste paikkakunnalle');
define('NEARBYCAMS','Lhistll olevia webkameroita');
define('LASTUPD','Edellinen pivitys');
define('NEXTUPD','Seuraava pivitys');
define('CAMSBY','Webkamerat toimittaa');
define('SAVEFAVO','Tallenna suosikkina');
define('TODAY','Tnn');
define('TOMORROW','Huomenna');
}else{
define('YRDESC','<span style="font-weight:bold;color:red">NEW!</span> Browse more than 3 million forecasts in 240 countries.<br/><b>How-to:</b> Choose country in dropdown, then write few first letters of the place in the box and the search suggests hits. ');
define('YRSEA','Choose country/place');
define('TEMPERA','Temperature');
define('PRESSUR','Pressure');
define('PRECIPA','Precipitation');
define('RAINA','Precipitation');
define('WINDA','Wind');
define('HUMIDA','Humidity');
define('CLOUDS','Clouds');
define('SMOG','Fog');
define('FORECAST_FOR','Forecast for');
define('NEARBYCAMS','Nearby webcams');
define('LASTUPD','Last update');
define('NEXTUPD','Next update');
define('CAMSBY','Webcams provided by');
define('SAVEFAVO','Save as favorite');
define('TODAY','Today');
define('TOMORROW','Tomorrow');
}

// CONFIG END
//**********************************************


$q = $_SERVER["QUERY_STRING"];
$q = explode("|",$q);
$lat = $q[1];
$lon = $q[2];
$tz = $q[3];
$cit = $q[4];
$cou = $q[5];
$cod = $q[6];

//$g = utf8_decode(urldecode($g));
//$gs = explode('/',$g);
//$g = str_replace("/","",strstr($g, '/'));

$mc = parse_url($_SERVER['HTTP_REFERER']);
$MH = $mc['host'];

$frcid = false;
if(isset($_COOKIE["yrfav-fi"]) && !is_numeric($lat)){
$q = explode("|",$_COOKIE["yrfav-fi"]);
$lat = $q[0];
$lon = $q[1];
$cit = $q[2];
$cou = $q[3];
$cod = $q[4];
$frcid = $lat.'|'.$lon.'|'.$cit.'|'.$cou.'|'.$cod;
}
elseif(!is_numeric($lat)&&isset($_SERVER["HTTP_GEOIP_LATITUDE"])){
$cod = $_SERVER["HTTP_GEOIP_CITY_COUNTRY_CODE"];
$cou = $_SERVER["HTTP_GEOIP_CITY_COUNTRY_NAME"];
$cit = $_SERVER["HTTP_GEOIP_CITY"];
$lat = $_SERVER["HTTP_GEOIP_LATITUDE"];
$lon = $_SERVER["HTTP_GEOIP_LONGITUDE"];
$frcid = $lat.'|'.$lon.'|'.$cit.'|'.$cou.'|'.$cod;
}
elseif(is_numeric($lat)){$frcid = $lat.'|'.$lon.'|'.$cit.'|'.$cou.'|'.$cod;}
else{$frcid = $lat.'|'.$lon.'|'.$cit.'|'.$cou.'|'.$cod;}

date_default_timezone_set($tz);
$qacacheName = $cachefolder.md5($lat.$lon).'.xml'; 
$URLS = "http://api.yr.no/weatherapi/locationforecast/1.8/?lat=$lat&lon=$lon";	// URL to the ENGLISH page on yr.no where location is


// refresh cached copy of page if needed
// fetch/cache code by Tom at carterlake.org

if ($useC) { $uomtemp = "&deg;C"; } else { $uomtemp = "&deg;F"; }
if ($useKMH) { $uomwind = " km/h"; } else if ($useMPH) { $uomwind = " mph"; } else { $uomwind = " m/s";}
if ($useHPA) { $uombaro = " hPa"; } else { $uombaro = " inHg"; }
if ($useMM) { $uomrain = " mm"; } else { $uomrain = " in"; }

if (file_exists($qacacheName) and filemtime($qacacheName) + $qarefetchSeconds > time()) {
      $html = implode('', file($qacacheName));
      echo "<!-- using cached file $qacacheName-->\n";
    } else {
      $html = file_get_contents($URLS);
      $fp = file_put_contents($qacacheName, $html); 
      chmod($qacacheName, 0666);
      echo "<!-- using fresh file -->\n";
	 }

$xml=xml2ary($html);
$xml = $xml['weatherdata'][_c]; 
$forecasts = $xml[product][_c][time];

//print_r($xml);
if(isset($xml[meta][_c][model][0][_a])){
$meta = $xml[meta][_c][model][0][_a];
}else{
$meta = $xml[meta][_c][model][_a];
}
$lupd = $meta[runended];
$lupd = date('d.m.Y H:i', parse_time($lupd));
$nupd = $meta[nextrun];
$nupd = date('d.m.Y H:i', parse_time($nupd));


//echo "$offset $sunr $suns <br/>";

$howmany = count($forecasts);

echo "<!-- $howmany forecasts available -->\n";
//echo "$city $country $alt $lupd $nupd <br/><br/>";

$a = 0;
$last = 0;
$offset = date('Z');
$e = 0;
$prea = 0;
$nordic = false;
for ($i = 0; $i < $howmany; $i++) {


if(isset($forecasts[$i][_c][location][_c][temperature][_a][value])){
if ($useKMH) {
$forecasts[$i][_c][location][_c][windSpeed][_a][mps] = MStoKMH($forecasts[$i][_c][location][_c][windSpeed][_a][mps]);
$forecasts[$i][_c][location][_c][windSpeed][_a][name] = "km/h";
}else if ($useMPH) {
$forecasts[$i][_c][location][_c][windSpeed][_a][mps] = MStoMPH($forecasts[$i][_c][location][_c][windSpeed][_a][mps]); 
$forecasts[$i][_c][location][_c][windSpeed][_a][name] = "mph";
}
$now = $i;
$diff = $now - $last;
$validfr = $forecasts[$i][_a][from];
$jstime = ((strtotime($validfr)+$offset)*1000);

$everysec = false;
if(($diff == 5||$a == 0) && isset($forecasts[$i+3][_c][location][_c][precipitation][_a][value])){
$pr = 2;
$nordic = true;
$rbar = "3200000";
$prec = $forecasts[$i+1][_c][location][_c][precipitation][_a][minvalue];
$mprec = $forecasts[$i+1][_c][location][_c][precipitation][_a][maxvalue];
$temps.='['.$jstime.',"'.$forecasts[$i][_c][location][_c][temperature][_a][value].'"],';
$baros.='['.$jstime.',"'.$forecasts[$i][_c][location][_c][pressure][_a][value].'"],';
$winds.='['.$jstime.','.$forecasts[$i][_c][location][_c][windSpeed][_a][mps].'],';
if($mprec > 0){
$rains.='['.$jstime.','.$prec.'],';
$mrains.='['.$jstime.','.$mprec.'],';
$precs[] = $mprec;
}
if($e%2!=1){
$everysec = true;
}
$e++;
} elseif(($diff == 3||$a == 0) && isset($forecasts[$i+2][_c][location][_c][precipitation][_a][value])){
$pr = 1;
if($nordic == false){$rbar = "8500000";
$prec = $forecasts[$i+$pr][_c][location][_c][precipitation][_a][minvalue];
$mprec = $forecasts[$i+$pr][_c][location][_c][precipitation][_a][maxvalue];
$temps.='['.$jstime.',"'.$forecasts[$i][_c][location][_c][temperature][_a][value].'"],';
$baros.='['.$jstime.',"'.$forecasts[$i][_c][location][_c][pressure][_a][value].'"],';
$winds.='['.$jstime.','.$forecasts[$i][_c][location][_c][windSpeed][_a][mps].'],';
if($prec > 0){
$rains.='['.$jstime.','.$prec.'],';
$mrains.='['.$jstime.','.$mprec.'],';
$precs[] = $mprec;
}
}
}else{
$pr = 1;
}

if($everysec == false){
$yrfr[$a]['dir'] = $forecasts[$i][_c][location][_c][windDirection][_a][deg];
$yrfr[$a]['dirname'] = $forecasts[$i][_c][location][_c][windDirection][_a][name];
$yrfr[$a]['spd'] = $forecasts[$i][_c][location][_c][windSpeed][_a][mps];
$yrfr[$a]['spdname'] = $forecasts[$i][_c][location][_c][windSpeed][_a][name];
$yrfr[$a]['temp'] = $forecasts[$i][_c][location][_c][temperature][_a][value];
$yrfr[$a]['baro'] = $forecasts[$i][_c][location][_c][pressure][_a][value];
$yrfr[$a]['hum'] = $forecasts[$i][_c][location][_c][humidity][_a][value];
$yrfr[$a]['cloud'] = $forecasts[$i][_c][location][_c][cloudiness][_a][percent];
$yrfr[$a]['fog'] = $forecasts[$i][_c][location][_c][fog][_a][percent];
$yrfr[$a]['i'] = $i;
$icon = $forecasts[$i+$pr][_c][location][_c][symbol][_a][number];
$yrfr[$a]['precip'] = $forecasts[$i+$pr][_c][location][_c][precipitation][_a][value];
$yrfr[$a]['valid'] = strtotime($validfr);
$yrfr[$a]['validr'] = $validfr;
$validto = $forecasts[$i][_a][to];
$yrfr[$a]['validto'] = strtotime($validto);
$yrfr[$a]['validtor'] = $validto;
$fpday = checkday(strtotime($validfr));
if($fpday <> ''){$daychanges[] = (strtotime($validfr)+$offset)*1000;}
$sunstuff = '';
$sunstuff = yrsunstuff($lat,$lon,$icon,$yrfr[$a]['valid'],($offset/3600));
list($dayornight,$sunri,$sunse,$sunr,$suns,$icon) = $sunstuff;
$yrfr[$a]['icon'] = $icon;
$yrfr[$a]['sunri'] = $sunri;
$yrfr[$a]['sunse'] = $sunse;
$yrfr[$a]['debug'] = '<br/>|'.$lat.'|'.$lon.'|'.$dayornight.'|'.$icon.'|'.date('dmY H:i',$yrfr[$a]['valid']).'|';
$a++;
}
$last= $i;
} // EOF NEW
} // EOF LOOP

if(count($precs)>0){$precmax = max($precs);}else{$precmax = $precs;}
if($precmax < 10) {$precmax = 10;}
else{$precmax = round($precmax*1.1);}

for($i=1;$i<count($daychanges);$i++) {
if($i == count($daychanges)-1) {
$ddays.= '{xaxis: { from: '.$daychanges[$i].', to: '.((strtotime($validto)+$offset)*1000).' }, color: "rgba(255, 255, 255, 0.2)" }';
} else {
$ddays.= '{xaxis: { from: '.$daychanges[$i].', to: '.$daychanges[$i+1].' }, color: "rgba(255, 255, 255, 0.2)" },';
}
$i++;
}

$howmany = count($yrfr);
echo "<!-- $howmany forecasts available -->\n";
$yrhead = '
<link rel="stylesheet" type="text/css" href="'.$cssfolder.'style.css" media="all" />
<script src="'.$jsfolder.'jquery.1.6.4.min.js"></script>
<script src="'.$jsfolder.'jquery.ui.1.9.min.js?2.01"></script>
<script src="'.$jsfolder.'jquery.flot.js"></script>
<script src="'.$jsfolder.'jquery.jcarousel.min.js"></script>
<script>
<!--
$(document).ready(function(){
$("#frcfav").click(function() {
$.cookie("yrfav-fi", "'.$frcid.'", {expires: 365});
});
$("#country option[value='.$cod.']").attr("selected", "selected");
$(".uibutton").button();

$(function() {
$("#city").autocomplete({
   source: function( request, response ) {
     $.ajax({
      url: "http://ws.geonames.org/searchJSON",
      dataType: "jsonp",
      data: {
        featureClass: "P",
        style: "full",
        maxRows: 20,
        name_startsWith: request.term,
        country: $("#country :selected").val(),
        username: "'.$geonameusr.'"
      },
      success: function( data ) {
        response( $.map( data.geonames, function( item ) {
          return {
          label: item.name + (item.adminName1 ? ", " + item.adminName1 : ""),
          value: item.name,
          str: item.lat+"|"+item.lng+"|"+item.timezone.timeZoneId+"|"+encodeURIComponent(item.name)+"|"+encodeURIComponent(item.countryName)+"|"+encodeURIComponent(item.countryCode)
          }
        }));
      }
     });
	},
  minLength: 2,
  select: function( event, ui ) {
      window.location = "'.$pagename.'?'.$lang.'|"+ui.item.str;
			},
      open: function() {
				$( this ).removeClass( "ui-corner-all" ).addClass( "ui-corner-top" );
			},
      close: function() {
				$( this ).removeClass( "ui-corner-top" ).addClass( "ui-corner-all" );
			}

});
		
});

';
if($howmany>0){
$yrhead.= '
var temps = ['.substr($temps,0,-1).'];
var winds = ['.substr($winds,0,-1).'];
var rains = ['.substr($rains,0,-1).'];
var mrains = ['.substr($mrains,0,-1).'];
var baros = ['.substr($baros,0,-1).'];

var previousPoint = null;
$("#TOTCHART").bind("plothover", owntool);
$.plot($("#TOTCHART"),
        [{data:baros, lines: { show: true, fill: false, lineWidth: 2 },legend: {show: true}, 
        color: "#9ACD32",shadowSize: 0,yaxis:3,label:"'.PRESSUR.'"},
        {data:temps, lines: { show: true, fill: false, lineWidth: 2 },legend: {show: true}, 
        color: "#FF6D6D",threshold: { below: 0, color: "#87CEFA" },shadowSize: 0,label:"L'.TEMPERA.'"},
        {data:mrains, legend: {show: false}, stack: true,
        bars: { show: true, fill: true, opacity: 0.25, align: "right",barWidth: '.$rbar.',lineWidth:0 },
        color: "#4572A7",yaxis:2},
        {data:rains, lines: { show: false,fill: true}, points:{ show: false },legend: {show: true}, 
        bars: { show: true, fill: true, align: "right",barWidth: '.$rbar.',lineWidth:0 },
        color: "#4572A7",yaxis:2,label:"'.PRECIPA.'"}
        ],
        {yaxes: [{minTickSize:1,tickDecimals:0,autoscaleMargin: 0.15},{min:0,max:'.$precmax.',alignTicksWithAxis: 1},
        {position: "right",min:960,max:1040,alignTicksWithAxis: 1,tickLength: 0}], 
        xaxes: [{ mode: "time",timeformat: "%H:%M",  tickSize: [6, "hour"] }
        ],
        grid: {tickColor: "#ddd", color:"#424242",  borderWidth: 1, borderColor: "#88BCCE",
        backgroundColor: { colors: ["#ddd", "#f2f2f2"] },hoverable: true, autoHighlight: true,
        markings: ['.$ddays.']},
        legend:{container: "#legenddiv", noColumns: 4}
        });

// FLOT TOOLS
function owntool(event, pos, item) {
        $("#x").text(pos.x.toFixed(2));
        $("#y").text(pos.y.toFixed(2));
        if (item) {
            var unit = "";           
            if (previousPoint != item.datapoint) {
                previousPoint = item.datapoint;        
                $("#tooltip").remove();
                var x = item.datapoint[0].toFixed(3);
                var y = item.datapoint[1].toFixed(1);
                var hy = new Date(x*1);
                var ho = hy.getUTCHours();
                var mi = hy.getUTCMinutes();
                if(mi<10){mi = "0"+mi;}
                if(item.series.label == "Lmptila") { var unit = "C"; }
                if(item.series.label == null) { item.series.label = "Lmptila";var unit = "C"; }
                if(item.series.label == "Kastepiste") { var unit = "C"; }
                if(item.series.label == "Sade/Kuurosade") { var unit = " mm"; }
                if(item.series.label == "Kuurosade") { var unit = " mm"; }
                if(item.series.label == "Auringon steily") { var unit = " w/m&sup2;"; y = item.datapoint[1].toFixed(0);}
                if(item.series.label == "Ukkosen todennkisyys") { var unit = "%"; y = item.datapoint[1].toFixed(0);}
                if(item.series.label == "Lumen syvyys") { var unit = " cm"; y = item.datapoint[1].toFixed(0);}
                if(item.series.label == "Puuskatuuli") { var unit = " m/s"; y = item.datapoint[1].toFixed(0);}
                if(item.series.label == "Ilmanpaine") { var unit = " hPa"; y = item.datapoint[1].toFixed(1);}                
                showTooltip(item.pageX, item.pageY,
                "<b>"+item.series.label+"</b><br/>"+ ho + ":"+mi+"<br/><b>"+y+unit+"</b>");
            }
        }else{
            $("#tooltip").remove();
            previousPoint = null;            
            }
}

function showTooltip(x, y, contents) {
        $("<div id=\'tooltip\'>" + contents + "</div>").css({position: "absolute",display: "none",
        top: y + 12,left: x + 12,opacity: 0.90}).appendTo("body").fadeIn(200);
}
';
}
$yrhead.= '        
});
//-->
</script>
';
$table.= '<p>'.YRDESC.'<br/>
<table style="width:100%"border:0; margin: 0 auto;"><tr>
<td class="yrrow" style="text-align: left; padding: 10px 15px 10px 15px;">
<div style="float:left">
<a class="uibutton" id="frcfav">'.SAVEFAVO.'</a>
</div>
</td>
<td class="yrrow" style="text-align: right; padding: 10px 15px 10px 15px;;">      
<div class="demo" style="float:right;position:relative;right:10px;">
<div class="ui-widget">
<fieldset>
<label for="country">' . YRSEA . ' </label>
<select id="country" name="country" style="width: 150px;"><option DISABLED> -- Choose -- </option><option value="AD">Andorra</option><option value="AE">United Arab Emirates</option><option value="AF">Afghanistan</option><option value="AG">Antigua and Barbuda</option><option value="AI">Anguilla</option><option value="AL">Albania</option><option value="AM">Armenia</option><option value="AN">Netherlands Antilles</option><option value="AO">Angola</option><option value="AQ">Antarctica</option><option value="AR">Argentina</option><option value="AS">American Samoa</option><option value="AT">Austria</option><option value="AU">Australia</option><option value="AW">Aruba</option><option value="AX">Aland Islands</option><option value="AZ">Azerbaijan</option><option value="BA">Bosnia and Herzegovina</option><option value="BB">Barbados</option><option value="BD">Bangladesh</option><option value="BE">Belgium</option><option value="BF">Burkina Faso</option><option value="BG">Bulgaria</option><option value="BH">Bahrain</option><option value="BI">Burundi</option><option value="BJ">Benin</option><option value="BM">Bermuda</option><option value="BN">Brunei</option><option value="BO">Bolivia</option><option value="BR">Brazil</option><option value="BS">Bahamas</option><option value="BT">Bhutan</option><option value="BV">Bouvet Island</option><option value="BW">Botswana</option><option value="BY">Belarus</option><option value="BZ">Belize</option><option value="CA">Canada</option><option value="CC">Cocos Islands</option><option value="CD">The Democratic Republic Of Congo</option><option value="CF">Central African Republic</option><option value="CG">Congo</option><option value="CH">Switzerland</option><option value="CI">C&ocirc;te d\'Ivoire</option><option value="CK">Cook Islands</option><option value="CL">Chile</option><option value="CM">Cameroon</option><option value="CN">China</option><option value="CO">Colombia</option><option value="CR">Costa Rica</option><option value="CS">Serbia and Montenegro</option><option value="CU">Cuba</option><option value="CV">Cape Verde</option><option value="CX">Christmas Island</option><option value="CY">Cyprus</option><option value="CZ">Czech Republic</option><option value="DE">Germany</option><option value="DJ">Djibouti</option><option value="DK">Denmark</option><option value="DM">Dominica</option><option value="DO">Dominican Republic</option><option value="DZ">Algeria</option><option value="EC">Ecuador</option><option value="EE">Estonia</option><option value="EG">Egypt</option><option value="EH">Western Sahara</option><option value="ER">Eritrea</option><option value="ES">Spain</option><option value="ET">Ethiopia</option><option value="FI">Finland</option><option value="FJ">Fiji</option><option value="FK">Falkland Islands</option><option value="FM">Micronesia</option><option value="FO">Faroe Islands</option><option value="FR">France</option><option value="GA">Gabon</option><option value="GB">United Kingdom</option><option value="GD">Grenada</option><option value="GE">Georgia</option><option value="GF">French Guiana</option><option value="GH">Ghana</option><option value="GI">Gibraltar</option><option value="GL">Greenland</option><option value="GM">Gambia</option><option value="GN">Guinea</option><option value="GP">Guadeloupe</option><option value="GQ">Equatorial Guinea</option><option value="GR">Greece</option><option value="GS">South Georgia And The South Sandwich Islands</option><option value="GT">Guatemala</option><option value="GU">Guam</option><option value="GW">Guinea-Bissau</option><option value="GY">Guyana</option><option value="HK">Hong Kong</option><option value="HM">Heard Island And McDonald Islands</option><option value="HN">Honduras</option><option value="HR">Croatia</option><option value="HT">Haiti</option><option value="HU">Hungary</option><option value="ID">Indonesia</option><option value="IE">Ireland</option><option value="IL">Israel</option><option value="IN">India</option><option value="IO">British Indian Ocean Territory</option><option value="IQ">Iraq</option><option value="IR">Iran</option><option value="IS">Iceland</option><option value="IT">Italy</option><option value="JM">Jamaica</option><option value="JO">Jordan</option><option value="JP">Japan</option><option value="KE">Kenya</option><option value="KG">Kyrgyzstan</option><option value="KH">Cambodia</option><option value="KI">Kiribati</option><option value="KM">Comoros</option><option value="KN">Saint Kitts And Nevis</option><option value="KP">North Korea</option><option value="KR">South Korea</option><option value="KW">Kuwait</option><option value="KY">Cayman Islands</option><option value="KZ">Kazakhstan</option><option value="LA">Laos</option><option value="LB">Lebanon</option><option value="LC">Saint Lucia</option><option value="LI">Liechtenstein</option><option value="LK">Sri Lanka</option><option value="LR">Liberia</option><option value="LS">Lesotho</option><option value="LT">Lithuania</option><option value="LU">Luxembourg</option><option value="LV">Latvia</option><option value="LY">Libya</option><option value="MA">Morocco</option><option value="MC">Monaco</option><option value="MD">Moldova</option><option value="MG">Madagascar</option><option value="MH">Marshall Islands</option><option value="MK">Macedonia</option><option value="ML">Mali</option><option value="MM">Myanmar</option><option value="MN">Mongolia</option><option value="MO">Macao</option><option value="MP">Northern Mariana Islands</option><option value="MQ">Martinique</option><option value="MR">Mauritania</option><option value="MS">Montserrat</option><option value="MT">Malta</option><option value="MU">Mauritius</option><option value="MV">Maldives</option><option value="MW">Malawi</option><option value="MX">Mexico</option><option value="MY">Malaysia</option><option value="MZ">Mozambique</option><option value="NA">Namibia</option><option value="NC">New Caledonia</option><option value="NE">Niger</option><option value="NF">Norfolk Island</option><option value="NG">Nigeria</option><option value="NI">Nicaragua</option><option value="NL">Netherlands</option><option value="NO">Norway</option><option value="NP">Nepal</option><option value="NR">Nauru</option><option value="NU">Niue</option><option value="NZ">New Zealand</option><option value="OM">Oman</option><option value="PA">Panama</option><option value="PE">Peru</option><option value="PF">French Polynesia</option><option value="PG">Papua New Guinea</option><option value="PH">Philippines</option><option value="PK">Pakistan</option><option value="PL">Poland</option><option value="PM">Saint Pierre And Miquelon</option><option value="PN">Pitcairn</option><option value="PR">Puerto Rico</option><option value="PS">Palestine</option><option value="PT">Portugal</option><option value="PW">Palau</option><option value="PY">Paraguay</option><option value="QA">Qatar</option><option value="RE">Reunion</option><option value="RO">Romania</option><option value="RU">Russia</option><option value="RW">Rwanda</option><option value="SA">Saudi Arabia</option><option value="SB">Solomon Islands</option><option value="SC">Seychelles</option><option value="SD">Sudan</option><option value="SE">Sweden</option><option value="SG">Singapore</option><option value="SH">Saint Helena</option><option value="SI">Slovenia</option><option value="SJ">Svalbard And Jan Mayen</option><option value="SK">Slovakia</option><option value="SL">Sierra Leone</option><option value="SM">San Marino</option><option value="SN">Senegal</option><option value="SO">Somalia</option><option value="SR">Suriname</option><option value="ST">Sao Tome And Principe</option><option value="SV">El Salvador</option><option value="SY">Syria</option><option value="SZ">Swaziland</option><option value="TC">Turks And Caicos Islands</option><option value="TD">Chad</option><option value="TF">French Southern Territories</option><option value="TG">Togo</option><option value="TH">Thailand</option><option value="TJ">Tajikistan</option><option value="TK">Tokelau</option><option value="TL">Timor-Leste</option><option value="TM">Turkmenistan</option><option value="TN">Tunisia</option><option value="TO">Tonga</option><option value="TR">Turkey</option><option value="TT">Trinidad and Tobago</option><option value="TV">Tuvalu</option><option value="TW">Taiwan</option><option value="TZ">Tanzania</option><option value="UA">Ukraine</option><option value="UG">Uganda</option><option value="UM">United States Minor Outlying Islands</option><option value="US">United States</option><option value="UY">Uruguay</option><option value="UZ">Uzbekistan</option><option value="VA">Vatican</option><option value="VC">Saint Vincent And The Grenadines</option><option value="VE">Venezuela</option><option value="VG">British Virgin Islands</option><option value="VI">U.S. Virgin Islands</option><option value="VN">Vietnam</option><option value="VU">Vanuatu</option><option value="WF">Wallis And Futuna</option><option value="WS">Samoa</option><option value="YE">Yemen</option><option value="YT">Mayotte</option><option value="ZA">South Africa</option><option value="ZM">Zambia</option><option value="ZW">Zimbabwe</option></select>
<input id="city" style="width:240px;"/>   
</fieldset>
</div>
</div>

</div>
</div>

<br/><br/>

</td>


</tr><tr>
<td colspan=2">
<div class="nordui-table-header-b" style="height:24px;text-align:left">
<span style="float:right"><img alt="" src="'.$imgdir.'yrno.png" style="height:15px;width:58px;position:relative;top:5px;left:-10px;"/></span>
<h4 style="line-height:24px;text-shadow:none;">' . FORECAST_FOR . ' ' .urldecode($cit). ', '.utf8_decode(urldecode($cou)).'</h4>
</div>
</td>
</tr>
</table>
<table style="width:100%">
<tr>
<td class="yrrow" style="text-align: left; padding: 10px 15px 10px 15px; width: 50%;">
<b>' . LASTUPD . ':</b> ' . $lupd . '<br/>
<b>' . NEXTUPD . ':</b> ' . $nupd . '
</td>
<td class="yrrow" style="text-align: right; padding: 10px 15px 10px 15px; width: 50%;">
Latitude: '.fixlat(round($forecasts[$i][_c][location][_a][latitude],2)).'<br/>
Longitude: '.fixlon(round($forecasts[$i][_c][location][_a][longitude],2)).'<br/>
Altitude: '.$forecasts[$i][_c][location][_a][altitude].' m
</td></tr></table>
<br/>
<div class="flotwrap shadow5">
<div style="float:right;font-size:10px;padding:0 5px 8px 0;color:#424242;">hPa</div>
<div style="position:relative; left: 1px;font-size:10px;padding:0 0 8px 5px;color:#424242;">mm
<span style="position:relative; left: 10px;font-size:10px;padding:0 0 8px 5px;color:#424242;">&deg;C</span></div>
<div style="height:250px;;" id="TOTCHART"></div>
<div style="height:30px;width:250px;margin-top:25px;" id="legenddiv"></div>
</div>

<div style="padding-top:15px;margin:0 auto;width:728px;">
'.$banner.'
</div>

<table class="nordui-table shadow5" style="width:100%">
<tr class="nordui-table-header">
<td class="nordui-table-td" class="nordui-table-td" style="width:90px"><b>&nbsp;</b></td>
<td class="nordui-table-td" style="width:90px"><b>&nbsp;</b></td>
<td class="nordui-table-td" style="width:90px"><b>'.TEMPERA.'</b></td>
<td class="nordui-table-td" style="width:100px"><b>'.RAINA.'</b></td>
<td class="nordui-table-td" style="width:100px"><b>'.PRESSUR.'</b></td>
<td class="nordui-table-td" style="width:120px"><b>'.WINDA.'</b></td>
<td class="nordui-table-td" style="width:80px"><b>'.HUMIDA.'</b></td>
<td class="nordui-table-td" style="width:80px"><b>'.CLOUDS.'</b></td>
<td class="nordui-table-td" style="width:80px"><b>'.SMOG.'</b></td>
</tr>

';


for ($i = 0; $i < $howmany; $i++) {
//$wind = windspeed($spdname) . ' ' . FROM . ' ' . winddirs(strtolower($dirname)) . '' . WEXT;

if($i % 2 == 1) {
$bgcolor = "nordui-table-a";
} else {
$bgcolor = "nordui-table-b";
}
$fpday = checkday($yrfr[$i][valid]);
if($fpday<>''){
$table.='<tr class="nordui-table-subheader"><td class="nordui-table-td" style="width:100%;padding-left:10px;" colspan="9">
<span style="float:right;position:relative;right:11px;font-size:10px;">'.fixsun($yrfr[$i][sunri],$yrfr[$i][sunse]).'</span>
<span style="position:relative;top:2px"><b>'.$fpday.'</b></span></td></tr>';
}else{
$topborder = "";
}

$table.='<tr class="'.$bgcolor.'">
<td class="nordui-table-td" style="width:90px;text-align: center;">'.date('H:i',$yrfr[$i]['valid']).'</td>
<td class="nordui-table-td" style="width:90px;text-align: center;"><span style="display:inline-block;" class="dotvoidsprites n'.str_replace(".","_",$yrfr[$i][icon]).'_png" ></span></td>
<td class="nordui-table-td" style="width:90px;text-align: center;"><img src="'.$imgdir.'bignums/'.fixtemp(round($yrfr[$i][temp])).'.png" alt=""/></td>
<td class="nordui-table-td" style="width:100px;text-align: center;color:#1874CD;">'.fixprecip($yrfr[$i][precip]).'</td>
<td class="nordui-table-td" style="width:100px;text-align: center;">' . $yrfr[$i][baro]. $uombaro . '</td>
<td class="nordui-table-td" style="width:120px;text-align: center;"><span style="display:inline-block;" class="windsprites '.strtoupper($yrfr[$i][dirname]).'_png"></span> '.$yrfr[$i]['spd'].' '.$uomwind.'</td>
<td class="nordui-table-td" style="width:80px;text-align: center;">'.checkhum(round($yrfr[$i]['hum'])).'</td>
<td class="nordui-table-td" style="width:80px;text-align: center;">'.checkcloud(round($yrfr[$i]['cloud']),$yrfr[$i]['hum']).'</td>
<td class="nordui-table-td" style="width:80px;text-align: center;">'.checkhum(round($yrfr[$i]['fog'])).'</td>
</tr>';
}

$dkcams = file_get_contents('http://api.webcams.travel/rest?method=wct.webcams.list_nearby&devid=16aa981f7a2bc7410759a4996c6608a6&lat='.$lat.'&lng='.$lon.'&per_page=25&page=1&format=php');
$data = unserialize($dkcams);
$howmany = count($data[webcams][webcam]);
$a = 0;
for($i=0;$i<$howmany;$i++){
$caurl = utf8_decode($data[webcams][webcam][$i][thumbnail_url]);
$caurl = str_replace("thumbnail","toenail",$caurl);
 
$ch = curl_init($caurl);
curl_setopt($ch, CURLOPT_NOBODY, true);
curl_exec($ch);
$retcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
// $retcode > 400 -> not found, $retcode = 200, found.
curl_close($ch);
if($retcode == 200){
$cams[$a][url] = $caurl;
$cams[$a][name] = $data[webcams][webcam][$i][title];
$a++;
}
}

$howmany = count($cams);
if($howmany > 0 && $howmany <= 3){
$cam = '<h4>'.NEARBYCAMS.'</h4>
<div class="aisbox" style="margin:15px 8px 15px 4px;padding:0 0 0 15px; border: 1px solid #cccccc; background: #f6f6f6;" class="ui-corner-all">
<div><table style="width:730px;margin:20px auto;"><tr>';
for($i=0;$i<$howmany;$i++){
$cam.='<td style="padding: 0 10px 0 10px;"><img src="'.$cams[$i][url].'" alt="" /><br/>'.utf8_decode($cams[$i][name]).'</td>'."\n";
}
$cam.='</tr></table></div>
</div>
'.CAMSBY.' <a href="http://www.webcams.travel" target="_new">Webcams Travel <span style="display:inline-block;" class="miscsprites extlink_gif"></span> </a><br/><br/>';
}
if($howmany > 3){
$cam = '
<h4>'.NEARBYCAMS.'</h4>
<div class="aisbox" style="margin:15px 8px 15px 4px;padding:0 0 0 15px; border: 1px solid #cccccc; background: #f6f6f6;" class="ui-corner-all">
<ul id="mycarousel" class="jcarousel-skin-ie7"><li></li></ul>
</div>
'.CAMSBY.' <a href="http://www.webcams.travel" target="_new">Webcams Travel <span style="display:inline-block;" class="miscsprites extlink_gif"></span> </a><br/><br/>
<!-- jCarousel library -->
 <script type="text/javascript">
<!--
    var mycarousel_itemList = [
';

for($i=0;$i<$howmany;$i++) {

 if($i<>($howmany-1)){
 $cam .= "{ url: '".$cams[$i][url]."', title: '".utf8_decode($cams[$i][name])."' },\n";
 } else {
 $cam.= "{ url: '".$cams[$i][url]."', title: '".utf8_decode($cams[$i][name])."' }\n";
 }
 }

$cam .= '
    ];

    /* circular loop functions */
    function mycarousel_itemVisibleInCallback(carousel, item, i, state, evt) {
        // The index() method calculates the index from a
        // given index who is out of the actual item range.
        var idx = carousel.index(i, mycarousel_itemList.length);
        carousel.add(i, mycarousel_getItemHTML(mycarousel_itemList[idx - 1]));
    };

    function mycarousel_itemVisibleOutCallback(carousel, item, i, state, evt) {
        carousel.remove(i);
    };

    /* auto advance functions */
    function mycarousel_initCallback(carousel) {
        // Disable autoscrolling if the user clicks the prev or next button.
        carousel.buttonNext.bind(\'click\', function() {
            carousel.startAuto(0);
        });
        carousel.buttonPrev.bind(\'click\', function() {
            carousel.startAuto(0);
        });
        // Pause autoscrolling if the user moves with the cursor over the clip.
        carousel.clip.hover(function() {
           carousel.stopAuto();
        }, function() {
           carousel.startAuto();
        });
    };

    /**
    * Item html creation helper.
    */

    function mycarousel_getItemHTML(item) {
        var url_m = item.url.replace(/toenail/g, \'webcam\');
        var html = \'<div class="carousel_box"><img class="img_stateless" src="\' + item.url + \'" border="0" style="height:120px;width:160px;"/><div style="test-align:center">\' + item.title + \'</div></div>\';
        return html;
    };

    
    $(document).ready(function() {
        $(\'#mycarousel\').jcarousel({
            wrap: \'circular\',
            itemVisibleInCallback: { onBeforeAnimation: mycarousel_itemVisibleInCallback },
            itemVisibleOutCallback: { onAfterAnimation: mycarousel_itemVisibleOutCallback },
            auto: 7,
            initCallback: mycarousel_initCallback
        });

        $(\'#showMultiSearch\').click(function() {
            $(\'#basicSearchBox\').hide();
            $(\'#multiSearchBox\').fadeIn(\'slow\');
            $(\'#ctl00_Main_tbBasicSearch\').val("");
        });

        $(\'#showBasicSearch\').click(function() {
            $(\'#multiSearchBox\').hide();
            $(\'#basicSearchBox\').fadeIn(\'slow\');
            $(\'#ctl00_Main_tbMultiSearch\').val("");
        });
    });
//-->
</script>
';
}
$table .= '<tr><td class="nordui-table-td" colspan="10"><div style="padding-top: 2px; border-bottom: 1px solid #ccc;">&nbsp;</div><div style="text-align: left;margin:0 auto;width:100%;"><a href="http://www.yr.no/" target="_new">Weather forecast from yr.no, delivered by the Norwegian Meteorological Institute and the NRK <span style="display:inline-block;" class="miscsprites extlink_gif"></span></a><br/>Script by <a href="http://www.nordicweather.net" target="_new">nordicweather.net <span style="display:inline-block;" class="miscsprites extlink_gif"></span> </a></div></td></tr></table>
'.$cam.'';
$yrtable = $table;
date_default_timezone_set($deftz);

// ----------------------------functions ----------------------------------- 

function checkhum($val){
if($val == 0){return;}
else{return $val.'%';}
}

function checkcloud($val,$cval){
if($cval == 0){return;}
else{return $val.'%';}
}

function fixlat($raw){
if($raw < 0) { return str_replace("-","",$raw).'&deg; S';}
else{return $raw.'&deg; N';}
}
function fixlon($raw){
if($raw < 0) { return str_replace("-","",$raw).'&deg; W';}
else{return $raw.'&deg; E';}
}

function fixsun($sunri,$sunse){
$m = date('n');
if($sunri == "--" && ($m < 4 || $m > 9)){
return "Kaamosaika";
}elseif($sunri == "--" && $m > 4 && $m < 9){
return "Keskiyn aurinko";
}else{
return '<span style="display:inline-block;position:relative;top:4px;" class="miscsprites sun_up"></span>&nbsp;'.$sunri.'&nbsp;&nbsp;&nbsp;
<span style="display:inline-block;position:relative;top:4px;" class="miscsprites sun_down"></span>&nbsp;'.$sunse;
}
}

function checkday($val){
global $lastday,$days;
$curr = date('z', time());
$va  = date('z', $val);
$vv  = date('w', $val);

$day = '';
if($va == $lastday){return $day;}
if($curr == $va) {
$day = TODAY;
} else if(($va-$curr) == 1 || $va == 0) {
$day = TOMORROW;
} else {
$day = $days[$vv].' '.date('d.m.Y',$val);
}
$lastday = $va;
return $day;
}

function fixtemp($val) {
$val = str_replace("-0","0",$val);
if($val<0){return str_replace("-","n",$val);}
else{return $val;}
}

function fixprecip($val){
if($val > 0) {
return "$val mm";
} else {
return "&nbsp;";
}
}

function MStoMPH ($ms, $prec=0) {
	$prec = (integer)$prec;
	$mph = (float)(2.236936292 * $ms);
	return round($mph, $prec);
}

function mmToin ($mm) {
  $in = $mm * .0394;
  return sprintf("%01.2f",$in);
}

function MStoKMH ($ms, $prec=0) {
	$prec = (integer)$prec;
	$kmh = (float)(3.6 * $ms);
	return round($kmh, $prec);
}

function HPAtoIN ($baro) {
	//$prec = (integer)$prec;
	$ibaro = 0.0295333727 * $baro;
	return sprintf("%01.2f",$ibaro);
}

function CtoF ($cTemp, $prec=0) {
	$prec = (integer)$prec;
	$fTemp = (float)(1.8 * $cTemp) + 32;
	return round($fTemp, $prec);
}

function parse_daytime($raw) {
if($raw == 1) { $dttxt = NIGHT; }
if($raw == 2) { $dttxt = MORNING; }
if($raw == 3) { $dttxt = DAY; }
if($raw == 4) { $dttxt = EVENING; }
return $dttxt;
}

function wspeed($spd) {
$spd = round($spd);
if($spd == 0) { $spdtxt = CALM; }
if(($spd > 0) && ($spd < 1.4)) { $spdtxt = WWLIGHT; }
if(($spd > 1.4) && ($spd < 3.5)) { $spdtxt = WLIGHT; }
if(($spd >= 3.5) && ($spd < 5.5)) { $spdtxt = WBLIGHT; }
if(($spd >= 5.5) && ($spd < 8)) { $spdtxt = WMLIGHT; }
if(($spd >= 8) && ($spd < 13.9)) { $spdtxt = WMODERATE; }
if(($spd >= 13.9) && ($spd < 20.8)) { $spdtxt = WHARD; }
if($spd >= 20.8) { $spdtxt = WSTORM; }

return $spdtxt;
}

function parse_time($raw) {

$yr = substr($raw,0,4);
$mt = substr($raw,5,2);
$da = substr($raw,8,2);
$hr = substr($raw,11,2);
$mi = substr($raw,14,2);

$tm = mktime($hr,$mi,00,$mt,$da,$yr);
return $tm;
}

function parseToXML($htmlStr) 
{ 
$xmlStr=str_replace('<','&lt;',$htmlStr); 
$xmlStr=str_replace('>','&gt;',$xmlStr); 
$xmlStr=str_replace('"','&quot;',$xmlStr); 
$xmlStr=str_replace("'",'&#39;',$xmlStr); 
$xmlStr=str_replace("&",'&amp;',$xmlStr); 
return $xmlStr; 
} 

function parseTohtml($htmlStr) 
{ 
$xmlStr=str_replace('<','&lt;',$htmlStr); 
return $xmlStr; 
} 

function yrsunstuff($lat,$lon,$raw,$time,$offset){
/*$dl = date("I");
if ($dl == 1) {
$offset = "+2"; $toffset = 0;
} else {
$offset = "+1"; $toffset = 0;
}*/
$zenith=90+33/60;
$sunri = date_sunrise($time, SUNFUNCS_RET_STRING, $lat, $lon, $zenith, $offset);
$sunse = date_sunset($time, SUNFUNCS_RET_STRING, $lat, $lon, $zenith, $offset);
$sunrise_epoch = date_sunrise($time, SUNFUNCS_RET_TIMESTAMP, $lat, $lon, $zenith, $offset);
$sunset_epoch  = date_sunset($time, SUNFUNCS_RET_TIMESTAMP, $lat, $lon, $zenith, $offset);

if ($time >= $sunset_epoch or $time <= $sunrise_epoch) {
$dayornight = 'n';
} else {
$dayornight = '';
}
$micons = array('1', '2', '3', '5', '6', '7', '8');
if($dayornight == 'n' && in_array($raw,$micons)){
$raw = $raw.'n';
}

$sunr = strtotime($sunri);
$suns = strtotime($sunse);
$m = date('m');
if(($m > 4 && $m < 9) && ($sunri == '')) { $sunri = '--'; }
if(($m > 4 && $m < 9) && ($sunse == '')) { $sunse = '--'; }
if(($m > 9 && $m < 4) && ($sunse == '')) { $sunse = '--'; }
if(($m > 9 && $m < 4) && ($sunri == '')) { $sunri = '--'; }
if(($m > 4 && $m < 9) && ($sunri == '--')) { $raw = str_replace('n', '', $raw);$dayornight = ''; }
if(($m > 9 && $m < 4) && ($sunse == '--')) { $raw = str_replace('', 'n', $raw);$dayornight = 'n'; }

$ret = array($dayornight,$sunri,$sunse,$sunr,$suns,$raw);
return $ret;
}

// XML to Array
function xml2ary(&$string) {
    $parser = xml_parser_create();
    xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
    xml_parse_into_struct($parser, $string, $vals, $index);
    xml_parser_free($parser);

    $mnary=array();
    $ary=&$mnary;
    foreach ($vals as $r) {
        $t=$r['tag'];
        if ($r['type']=='open') {
            if (isset($ary[$t])) {
                if (isset($ary[$t][0])) $ary[$t][]=array(); else $ary[$t]=array($ary[$t], array());
                $cv=&$ary[$t][count($ary[$t])-1];
            } else $cv=&$ary[$t];
            if (isset($r['attributes'])) {foreach ($r['attributes'] as $k=>$v) $cv['_a'][$k]=$v;}
            $cv['_c']=array();
            $cv['_c']['_p']=&$ary;
            $ary=&$cv['_c'];

        } elseif ($r['type']=='complete') {
            if (isset($ary[$t])) { // same as open
                if (isset($ary[$t][0])) $ary[$t][]=array(); else $ary[$t]=array($ary[$t], array());
                $cv=&$ary[$t][count($ary[$t])-1];
            } else $cv=&$ary[$t];
            if (isset($r['attributes'])) {foreach ($r['attributes'] as $k=>$v) $cv['_a'][$k]=$v;}
            $cv['_v']=(isset($r['value']) ? $r['value'] : '');

        } elseif ($r['type']=='close') {
            $ary=&$ary['_p'];
        }
    }    
    
    _del_p($mnary);
    return $mnary;
}

// _Internal: Remove recursion in result array
function _del_p(&$ary) {
    foreach ($ary as $k=>$v) {
        if ($k==='_p') unset($ary[$k]);
        elseif (is_array($ary[$k])) _del_p($ary[$k]);
    }
}

// Array to XML
function ary2xml($cary, $d=0, $forcetag='') {
    $res=array();
    foreach ($cary as $tag=>$r) {
        if (isset($r[0])) {
            $res[]=ary2xml($r, $d, $tag);
        } else {
            if ($forcetag) $tag=$forcetag;
            $sp=str_repeat("\t", $d);
            $res[]="$sp<$tag";
            if (isset($r['_a'])) {foreach ($r['_a'] as $at=>$av) $res[]=" $at=\"$av\"";}
            $res[]=">".((isset($r['_c'])) ? "\n" : '');
            if (isset($r['_c'])) $res[]=ary2xml($r['_c'], $d+1);
            elseif (isset($r['_v'])) $res[]=$r['_v'];
            $res[]=(isset($r['_c']) ? $sp : '')."</$tag>\n";
        }
        
    }
    return implode('', $res);
}

// Insert element into array
function ins2ary(&$ary, $element, $pos) {
    $ar1=array_slice($ary, 0, $pos); $ar1[]=$element;
    $ary=array_merge($ar1, array_slice($ary, $pos));
}

   
// ----------------------------------------------------------

function fixsynsno($val) {
if($val == "0"){$val = '';}
if($val == "0 km"){$val = '';}
return $val;
}
      
function charset($word) {
$word = str_replace('', '&aelig;', $word);
$word = str_replace('', '&oslash;', $word);
$word = str_replace('', '&aring;', $word);
$word = str_replace('', '&auml;', $word);
$word = str_replace('', '&ouml;', $word);
$word = str_replace('', '&Aring;', $word);
$word = str_replace('', '&Auml;', $word);
$word = str_replace('', '&Ouml;', $word);
$word = str_replace('', '&Oslash;', $word);

return $word;
}

function aksort(&$array,$valrev=false,$keyrev=false) {
  if ($valrev) { arsort($array); } else { asort($array); }
    $vals = array_count_values($array);
    $i = 0;
    foreach ($vals AS $val=>$num) {
        $first = array_splice($array,0,$i);
        $tmp = array_splice($array,0,$num);
        if ($keyrev) { krsort($tmp); } else { ksort($tmp); }
        $array = array_merge($first,$tmp,$array);
        unset($tmp);
        $i = $num;
    }
}

function removeline($name) {
$clen = strlen($name);
if ($clen > 14) {
$name = strstr($name, ',');
$name = str_replace(',', '', $name);
}
return $name;
}

function tempcolor($temp) {
if($temp <= 0) {
$tcolor = "#1874CD";
} else {
$tcolor = "#CC1111";
}
return $tcolor;
}   
?>

